/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem G. Great Deceiver                                      */
/*                                                                */
/* Original idea         Elana Kryuchkova                         */
/* Problem statement     Dmitry Gozman                            */
/* Test set              Dmitry Gozman                            */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Georgiy Korneev                          */
/******************************************************************/

import java.io.File;
import java.io.PrintWriter;
import java.util.Scanner;

public class great_gk {
    static Scanner in;
    static PrintWriter out;

    void run() {
        long n = in.nextLong();
        long k = in.nextLong();
        for (long d = k; d > 0; d *= k) {
            n = n / d / k * d + (n / d % k == 0 ? n % d : d - 1);
        }
        out.println(n + 1);
    }

    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("great.in"));
        out = new PrintWriter("great.out");

        new great_gk().run();

        in.close();
        out.close();
    }
}

